Retrieve Customers

Retrieve a list of past and existing customers as they appear in Yotpo.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

How to use this endpoint

  • Required parameters are listed below. For the full list of properties, see Introduction to Customers.
  • For example requests, see below.
  • For example responses, click the relevant status code on the right.
🚧

Deprecated parameters

The following parameters are deprecated and will be removed in a future release. Please discontinue use and remove them from any existing integrations:

  • include_custom_properties — deprecated. Custom properties will no longer be retrievable via this parameter.
  • list_ids — deprecated. Filtering by list IDs is no longer supported.
  • segment_id — deprecated. Filtering by segment IDs is no longer supported.

Example requests

GET /v3/stores/{store_id}/customers
GET /v3/stores/{store_id}/customers?page_info={page_info}
GET /v3/stores/{store_id}/customers?page_info={page_info}&limit={limit}
GET /v3/stores/{store_id}/customers?external_ids=ext1,ext2
Path Params
string
required

The store ID (app_key).

Query Params
string
required

Your Yotpo access token. Click here to learn how to generate one

string

Encoded page info.

int32

Defines how many results will be returned per page. Can be any number between 1 and 100.

string

Return only entities specified by a comma-separated (without spaces) list of external IDs. The argument must be URL encoded. Max 100 IDs. Can't come with page_info or limit.

boolean
deprecated

The custom customer properties that enrich the customer profile. For example, skin type, hair color, etc.

string
Defaults to all

Flag for Yotpo product information to be included in the response. Choose one or several of the following: reviews, loyalty, or all. For example "loyalty". Defaults to "all"

string

The customer’s email address. Special characters should be encoded.

string

The customer’s phone number. Should be E.164 format, for example +11231234567.

date

Retrieve all customer details updated from this date. The date format is YYYY-MM-DD

string
deprecated

Return only entities specified by a comma-separated (without spaces) list of List IDs.

string
deprecated

Returns all the customers from a specified. You can receive information about one segment each time a request is made to the endpoint.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json